%define section	free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jorm
#  cvs login
#  cvs export -r JORM_2_7 jorm
#  find jorm -name '*.?ar' | xargs rm
#  tar cjf jorm-2.7-src.tar.bz2 jorm

Name:		jorm
Summary:	Java(tm) Object Repository Mapping
Version:	2.7
Release:	1jpp_1rh
Epoch:		0
URL:		http://jorm.objectweb.org/
License:	LGPL
Group:		Development/Libraries/Java
Source:		%{name}-%{version}-src.tar.bz2
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	asm
BuildRequires:	jakarta-commons-collections
BuildRequires:	j2ee-connector
BuildRequires:	jorm-rdb-adapter >= 3.1
BuildRequires:	medor >= 1.6
BuildRequires:	medor-expression >= 1.6
BuildRequires:	monolog
BuildRequires:	perseus-cache
BuildRequires:	perseus-fos
BuildRequires:	perseus-persistence
BuildRequires:	velocity
Requires:		asm
Requires:		jakarta-commons-collections
Requires:		j2ee-connector
Requires:		jorm-rdb-adapter >= 3.1
Requires:		medor >= 1.6
Requires:		medor-expression >= 1.6
Requires:		monolog
Requires:		perseus-cache
Requires:		perseus-fos
Requires:		perseus-persistence
Requires:		velocity
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

%description
JORM (Java Object Repository Mapping) is an adaptable persistence
service. It can be used to offer various personalities, such as one
compliant with the CMP EJB specification (TM), another with the OMG
PSS specification or another with the JDO (Java Data Objects)
specification (TM).  JORM provides object persistency through
different secondary storage supports, such as files, relational
databases or object-oriented databases.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n jorm
build-jar-repository externals \
    asm/asm \
    asm/asm-attrs \
    jakarta-commons-collections \
    j2ee-connector \
    jorm/ow_jorm_rdb_adapter \
    medor/ow_medor \
    medor/ow_medor_clone \
    medor/ow_medor_exp \
    monolog/ow_monolog \
    perseus/ow_perseus_cache \
    perseus/ow_perseus_fos \
    perseus/ow_perseus_persistence \
    velocity

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar jdoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in output/dist/lib/*.jar; do
    base=`basename $jar .jar`
    install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$base-%{version}.jar
    ln -s $base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$base.jar
done

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/doc/jdoc/jorm_user \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Oct 19 2005 Fernando Nasser <fnasser@redhat.com> 0:2.7-1jpp_1rh
- Upgrade to 2.7

* Wed Jul 27 2005 Deepak Bhole <dbhole@redhat.com> 0:2.6.4-1jpp_1rh
- Updated version and dependencies.

* Thu Jul 21 2005 Deepak Bhole <dbhole@redhat.com> 0:2.5.2-1jpp_2rh
- Rebuild from standalone JORM 2.5.2 source (no MEDOR source).

* Thu Jul 21 2005 Deepak Bhole <dbhole@redhat.com> 0:2.5.2-1jpp_1rh
- First Red Hat build.
- 2.5.2 bootstrap build (with MEDOR 1.5.3).

* Thu Jun 30 2005 Gary Benson <gbenson@redhat.com> 0:2.4.3-1jpp_2fc
- Build into Fedora.

* Thu Jun 30 2005 Gary Benson <gbenson@redhat.com> 0:2.4.3-1jpp_1fc
- Bootstrap into Fedora.

* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:2.4.3-1jpp
- Initial build.
